Skip to main content
GET
List bridge transfers

Headers

X-API-Key
string | null

Query Parameters

address
string | null

Sender or recipient

Pattern: ^0x[0-9a-fA-F]{40}$
direction
enum<string>

deposit (HyperEVM → Elysium) or withdrawal

Available options:
deposit,
withdrawal
status
enum<string>

Transfer status

Available options:
initiated,
ticket_created,
redeem_failed,
expired,
completed,
executed
asset
enum<string>

native (HYPE), token or message

Available options:
native,
token,
message
route
enum<string>

native, canonical (HyperEVM token) or mirror (Elysium-native token)

Available options:
native,
canonical,
mirror
token
string | null

Token address on either chain

Pattern: ^0x[0-9a-fA-F]{40}$
include_messages
boolean
default:false

Include retryable messages that move no asset (e.g. token registrations)

start_time
string<date-time> | null

Start time (UTC), on the initiation time

end_time
string<date-time> | null

End time (UTC), on the initiation time

limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0

Response

OK

success
boolean
default:true
message
string
data
BridgeTransfer · object[]
execution_time_ms
number
has_more
boolean